> ## Documentation Index
> Fetch the complete documentation index at: https://docs.attention.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create SCIM Group



## OpenAPI

````yaml post /scim/Groups
openapi: 3.0.1
info:
  title: Attention Service V2
  description: Attention Service API V2
  termsOfService: https://www.attention.com/terms-of-use
  contact:
    name: Attention Team
    url: https://docs.attention.com/welcome
    email: support@attention.com
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.8.0
servers:
  - url: https://api.attention.tech/v2
security:
  - APIKeyHeader: []
paths:
  /scim/Groups:
    post:
      tags:
        - Scim
        - Group
      summary: Create SCIM Group
      operationId: createScimGroup
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ScimCreateGroupRequest'
          application/scim+json:
            schema:
              $ref: '#/components/schemas/ScimCreateGroupRequest'
        required: true
      responses:
        '201':
          description: User created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScimCreateGroupResponse'
            application/scim+json:
              schema:
                $ref: '#/components/schemas/ScimCreateGroupResponse'
        '401':
          description: Valid API key required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Base_401_Error'
            application/scim+json:
              schema:
                $ref: '#/components/schemas/Base_401_Error'
        '500':
          description: Unexpected server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Base_Scim_Error'
            application/scim+json:
              schema:
                $ref: '#/components/schemas/Base_Scim_Error'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Base_Scim_Error'
            application/scim+json:
              schema:
                $ref: '#/components/schemas/Base_Scim_Error'
components:
  schemas:
    ScimCreateGroupRequest:
      required:
        - displayName
        - schemas
      type: object
      properties:
        schemas:
          type: array
          example:
            - urn:ietf:params:scim:schemas:core:2.0:Group
          items:
            type: string
        displayName:
          type: string
          example: Marketing
        members:
          type: array
          example:
            - value: 724b985e-5053-4d9d-b8c5-7f2941b60c26
              display: okta
            - value: 8b6109ec-b34c-4343-91ea-f8b0d7dd2616
              display: admin
          items:
            $ref: '#/components/schemas/ScimGroupMember'
      example:
        schemas:
          - urn:ietf:params:scim:schemas:core:2.0:Group
        displayName: Sales Team
        members:
          - value: user-uuid-1
            display: jane@example.com
          - value: user-uuid-2
            display: john@example.com
    ScimCreateGroupResponse:
      required:
        - displayName
        - id
        - members
        - schemas
      type: object
      properties:
        schemas:
          type: array
          example:
            - urn:ietf:params:scim:schemas:core:2.0:Group
            - urn:okta:custom:group:1.0
          items:
            type: string
        displayName:
          type: string
          example: '[Attention] Marketing'
        id:
          type: string
          example: 3ebee315-ef0f-45b8-b5cb-94fb761093d7
        members:
          type: array
          example:
            - value: 724b985e-5053-4d9d-b8c5-7f2941b60c26
              display: 22john.doe@example.com
            - value: 8b6109ec-b34c-4343-91ea-f8b0d7dd2616
              display: 23john.doe@example.com
          items:
            $ref: '#/components/schemas/ScimGroupMember'
        urn:okta:custom:group:1.0:
          type: object
          properties:
            description:
              type: string
              example: This is a group created for marketing purposes
      example:
        schemas:
          - urn:ietf:params:scim:schemas:core:2.0:Group
        id: group-uuid-123
        displayName: Sales Team
        members:
          - value: user-uuid-1
            display: jane@example.com
    Base_401_Error:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/BaseError'
      example:
        code: 401
        message: unauthenticated for Invalid API key
    Base_Scim_Error:
      type: object
      properties:
        schemas:
          type: array
          items:
            type: string
        detail:
          type: string
          description: A description of the error
        status:
          type: integer
          description: The HTTP status code for the error
      example:
        schemas:
          - urn:ietf:params:scim:api:messages:2.0:Error
        detail: The details of the error
        status: 409
    ScimGroupMember:
      required:
        - display
        - value
      type: object
      properties:
        value:
          type: string
          example: 724b985e-5053-4d9d-b8c5-7f2941b60c26
        display:
          type: string
          example: john.doe@example.com
      example:
        value: user-uuid-123
        display: jane@example.com
    BaseError:
      type: object
      properties:
        code:
          type: string
          description: Error code
        message:
          type: string
          description: Error message
      example:
        code: unauthorized
        message: Invalid or expired API key
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      name: Authorization
      in: header

````